# keeping it here just in case someone wants to use the SVN version
# svn co http://svn.openchrome.org/svn/trunk openchrome

# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define _requires_exceptions devel(

Name: x11-driver-video-openchrome
Version: 0.2.905
Release: 1
Summary: X.org driver for Unichrome cards from the OpenChrome project
Group: System/X11
URL: http://www.openchrome.org
Source0: http://www.openchrome.org/releases/xf86-video-openchrome-%{version}.tar.bz2
# Mandriva patches
# http://billionmonkeys.net/openchrome - broken 2008/07
Patch100: xf86-video-openchrome-0.2.901-billionmokeys.net_modelines.patch
Patch101: 0003-IDs-enable-LCD-on-Guillemot-NA01.patch
Patch102: openchrome_mips_xvmc.patch
License: MIT

BuildRequires: GL-devel
BuildRequires: libdrm-devel
BuildRequires: libx11-devel
BuildRequires: libxvmc-devel
BuildRequires: libxext-devel
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
A free and Open Source video driver for the VIA/S3G
UniChrome and UniChrome Pro graphics chipsets. (CLE266,
KN400, KM400, K8M800, PM800, CN400, VN800)

%prep
%setup -q -n xf86-video-openchrome-%{version}
%patch100 -p1 -b .billionmonkeys
%patch102 -p1 -b .xvmc

#needed by patch0
libtoolize
autoreconf

%build
%configure2_5x --disable-static --enable-dri
%make

%install
%makeinstall_std
# From Fedora:
# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%files
%{_libdir}/libchromeXvMC.so
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.so
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%{_libdir}/xorg/modules/drivers/openchrome_drv.so
%{_mandir}/man4/openchrome.*


%changelog
* Mon Feb 13 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.2.905-1
+ Revision: 773737
- version update 0.2.905

* Sat Oct 08 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.904-7
+ Revision: 703743
- rebuild for new x11-server

* Thu Jun 09 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.2.904-6
+ Revision: 683557
- Rebuild for new x11-server

* Sat May 07 2011 Oden Eriksson <oeriksson@mandriva.com> 0.2.904-5
+ Revision: 671159
- mass rebuild

* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 0.2.904-4mdv2011.0
+ Revision: 595722
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 0.2.904-3mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Fri Nov 27 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.2.904-2mdv2010.1
+ Revision: 470701
- Rebuild.

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 0.2.904-1mdv2010.1
+ Revision: 463601
- new release
- drop patch 0 (merged upstream)

* Mon Sep 28 2009 Olivier Blin <blino@mandriva.org> 0.2.903-8mdv2010.0
+ Revision: 450474
- enable XvMC on MIPS to fix build (from Arnaud Patard)
- enable LCD output on Guillemot NA01 (Hercules eCafe EC-900B)

* Mon Sep 21 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.2.903-7mdv2010.0
+ Revision: 446536
- Update to svn revision 788

* Mon Jul 13 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 0.2.903-6mdv2010.0
+ Revision: 395472
- Update to latest svn revision (755)

* Fri Apr 10 2009 Frederic Crozat <fcrozat@mandriva.com> 0.2.903-5mdv2009.1
+ Revision: 365760
- Push package from testing to main (Mdv bug #49787)

* Mon Apr 06 2009 Frederic Crozat <fcrozat@mandriva.com> 0.2.903-4mdv2009.1
+ Revision: 364502
- Update to SVN version 740 (patch0), should fix a lot of issues (Fedora)
- Remove patch101 (no longer needed)
- Remove patch0 (merged upstream)

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.2.903-3mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.903-2mdv2009.1
+ Revision: 308136
- rebuild for new X server

* Mon Aug 25 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 0.2.903-1mdv2009.0
+ Revision: 275764
- Update to version 0.2.903
- Remove Fedora patches included in the new release
- Rediff openchrome-0.2.902-re_enable_AGPDMA.patch

* Tue Jul 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.902-1mdv2009.0
+ Revision: 236116
- comment use of autoreconf
- don't package .la files (from Fedora)
- br libxext-devel
- add underlink.patch: fix underlinking
- sync with Fedora patches (Fedora maintainer is upstream dev)
- use %%version in tarball name
- new release 0.2.902

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - improved summary

* Thu Feb 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.2.901-2mdv2008.1
+ Revision: 168537
- Add patch requested by upstream. See http://wiki.openchrome.org/pipermail/openchrome-users/2008-February/004209.html for more information.

* Thu Feb 07 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.901-1mdv2008.1
+ Revision: 163653
- new upstream version: 0.2.901
  - libopenchrome* was renamed to libchrome* (no cooker package
    depends on it anyway)
- unichrome-driver_name.patch is already upstream
- vt1625_NTSC_modes.patch is already upstream
- unichrome-fixcompile.patch is obsolete, dropped
- openchrome-chrome9-support.patch is already upstream
- billionmokeys.net_openchrome.patch was updated and is now called
  billionmokeys.net_modelines.patch
  (Thanks Damien Lallement for pointing me to this new version)

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.2.0.20071015-1mdv2008.1
+ Revision: 98659
- new svn snapshot (r412)
- added description
- minor spec cleanup

* Tue Aug 21 2007 Paulo Andrade <pcpa@mandriva.com.br> 0.2.0.20070821-2mdv2008.0
+ Revision: 68697
- Add chrome9 suport.

* Tue Aug 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.0.20070821-1mdv2008.0
+ Revision: 68639
- update to a newer snapshot version of the driver

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension

